.wrapper{
    display: flex;
    flex-flow: row wrap;
}

.wrapper > * {
    flex: 1 100%;
}

.check { flex: 1 auto; 
    display: flex;
    flex-flow: row wrap;
    justify-content: space-around;
}

@media all and (min-width: 600px) {
        /* We tell both sidebars to share a row */
        .aside { flex: 1 auto; }

}
@media all and (min-width: 600px) {
    .main { flex: 1 5px; }
    #check { order: 1; }
    .main    { order: 2; }
    .aside-2 { order: 3; }
    .footer  { order: 4; }
}
.flex-item {
    color: white;
    font-weight: bold;
    text-align: center;
  }